macOS 10.15 Catalina compatibility - Page 7 - Fxpansion.com

Forum

FXpansion Forum

macOS 10.15 Catalina compatibility

General FX news, discussion, and a place to speak your mind

Moderators: Drew_BFDTeam, clare_fx, SKoT_FX, Steve_FX, john emrich, Mully_FX, mayur_FX, Angus_FX, Andreas_FX, Rory_FX, Rhi_FX, Paul_fx, Moderators

Damagical
Posts: 28
Joined: Wed Mar 30, 2011 10:03 pm

Re: macOS 10.15 Catalina compatibility

Postby Damagical » Sat Jan 18, 2020 10:29 pm

patpat wrote:
Damagical wrote:
Yeah- the plugins all needed to validate again, I had no issues though. Both BFD 2 and BFD 3 validated fine for me.


What is the componet version of your BFD3 AU component ?

My validation log:

validating Audio Unit BFD3 by FXpansion:

AU Validation Tool
Version: 1.7.0
Copyright 2003-2019, Apple Inc. All Rights Reserved.
Specify -h (-help) for command options

--------------------------------------------------
VALIDATING AUDIO UNIT: 'aumu' - 'BFD3' - 'FXPN'
--------------------------------------------------
Manufacturer String: FXpansion
AudioUnit Name: BFD3
Component Version: 1.80.0 (0x15000)

* * PASS
--------------------------------------------------
TESTING OPEN TIMES:
COLD:
Time to open AudioUnit: 335.050 ms
Opening runtime log at path: /Users/patrikbernhard/Library/Logs/BFD3 Runtime.log

validation result: Validation failed


It is 1.80.0
I tried resetting and revalidating.. and now it crashes too. So now BFD3 isn't working in my projects. I SOOOO wish I hadn't just done that.
Last edited by Damagical on Sat Jan 18, 2020 11:00 pm, edited 1 time in total.

Damagical
Posts: 28
Joined: Wed Mar 30, 2011 10:03 pm

Re: macOS 10.15 Catalina compatibility

Postby Damagical » Sat Jan 18, 2020 10:58 pm

Ok.. I deleted:

~/Library/Caches/AudioUnitCache

Restarted the computer, opened Logic X.. and it revalidated all my plugins successfully including BFD3

patpat
Posts: 15
Joined: Sat Oct 23, 2004 8:49 am

Re: macOS 10.15 Catalina compatibility

Postby patpat » Sat Jan 18, 2020 11:02 pm

Damagical wrote:
It is 1.80.00
I tried resetting and revalidating.. and now it crashes too. So now BFD3 isn't working in my projects. I SOOOO wish I hadn't just done that.


I have found now a solution of the problem:

In the settings of Logic -> General -> Project Handling -> Startup Action set "Select New empty Project" (Normally I set "Create a new Project using a default Template". But then Logic crashes all the time)
I have several templates I'm using.
When I start Logic and then select one of my templates Logic crashes. But when I first select New Empty Project, then select a software instrument and after close the file I can select one of my templates and use it without problems.
I have to do this after each restart of Logic. Once Logic runs, I can close a project and select any of my templates.

May be you should delete the AudioUnitCache folder in your library then start Logic without the BFD3 component (AU plugins will be validated again) and then do the settings in the general tab like described. After you can quit Logic and put the BFD3 componet again back in the Audio/Plug-Ins/Component folder.
BFD3 will fail at the restart. So do it in the plug-in Manager in Logic. I had to press the button "Reset & Rescan selction" at about 10 times until the validation was successfull. After this I quit Logic and restart it.

You can then also open any of your project. They will work. But they won't if you start Logic by double clicking on a project.
Last edited by patpat on Mon Jan 20, 2020 12:11 pm, edited 2 times in total.

Damagical
Posts: 28
Joined: Wed Mar 30, 2011 10:03 pm

Re: macOS 10.15 Catalina compatibility

Postby Damagical » Sat Jan 18, 2020 11:31 pm

I think Apple breaking 32 bit installers is one of the stupidest things Apple has ever done. They've created headaches for so many customers. Apple is great at breaking things. I've been trying to find some workaround for 32 bit installers, but I can't seem to find anything short of running Mojave in Parallels.. which is not something I'm going to do.
Last edited by Damagical on Sat Jan 18, 2020 11:36 pm, edited 1 time in total.

Damagical
Posts: 28
Joined: Wed Mar 30, 2011 10:03 pm

Re: macOS 10.15 Catalina compatibility

Postby Damagical » Sat Jan 18, 2020 11:33 pm

Patpat, have you got BFD3 working for you now until FXpansion releases an updated version?

patpat
Posts: 15
Joined: Sat Oct 23, 2004 8:49 am

Re: macOS 10.15 Catalina compatibility

Postby patpat » Sun Jan 19, 2020 2:27 am

Damagical wrote:Patpat, have you got BFD3 working for you now until FXpansion releases an updated version?


Yes, I do it like I described in my earlier post.

Breaking 32 bit installers by Apple is ok. The problem is, that they said it nearly two years ago, even befor releasing Mojave. There was enough time to customize the installer. Why didn't FXpansion do it at the same time when releasing the 64 bit version of BFD3?

JEONG CHANGWON
Posts: 1
Joined: Wed Jun 05, 2019 6:37 am

Re: macOS 10.15 Catalina compatibility

Postby JEONG CHANGWON » Mon Jan 20, 2020 1:40 pm

How much longer do I have to wait? It's been three months since the full release of Catalina, and six months had passed when we thought of the demo version. Even Avid's ProTools responded quickly. This is enough to doubt FXpansion's expertise. And it doesn't give a clear answer. When is the update complete?

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Tue Jan 21, 2020 9:21 am

Hi all, an update regarding Catalina support for outstanding products; we've just updated all Geist Expander installers and the Geist2 Factory content installers for compatibility with Catalina.

We're continuing with the update work for all BFD Expansions, the BFD3 Core Library installer and the BFD3 software installer and will report back soon with further updates.

Thanks again for your continued patience.

LesSand
Posts: 9
Joined: Thu Dec 03, 2015 6:14 pm

Re: macOS 10.15 Catalina compatibility

Postby LesSand » Tue Jan 21, 2020 3:12 pm

Thank you for the update, Lawrence. That’s encouraging news. Incidentally, I still see a banner warning about Catalina incompatibility in Geist2 pages, you will want to fix that.

Please continue to update us on the progress, even more often, if possible. BFD, being the longest in the market and your most expensive product, I expect it to be priority #1.

Cheers!

onlyleura
Posts: 8
Joined: Sun Mar 18, 2018 9:12 pm

Re: macOS 10.15 Catalina compatibility

Postby onlyleura » Tue Jan 21, 2020 3:48 pm

Lawrence_fx wrote:Thanks again for your continued patience.


Thanks, Lawrence. Is there an update on Strobe 2. That's the only plugin holding me back from going to Catalina.

-Kit

mickgormaley
Posts: 57
Joined: Thu Dec 29, 2011 10:22 pm
Location: Saddle Brook, NJ USA

Re: macOS 10.15 Catalina compatibility

Postby mickgormaley » Tue Jan 21, 2020 4:25 pm

It's been 8 months since any BFD update and 4 since the announcement that they are working on getting a Catalina ready version. Roli has killed this app. I have hundreds of dollars and hundreds of hours invested in this program which I can only assume that in the near future will be dumped by Roli. Roli needs to give back control to Fxpansion so they can get back to making and maintaining BFD. This was everyone's fear when Roli grabbed FX to get Cypher and Strobe. That's all they wanted. They screwed BFD and their base.

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Wed Jan 22, 2020 9:41 am

onlyleura wrote:
Lawrence_fx wrote:Thanks again for your continued patience.


Thanks, Lawrence. Is there an update on Strobe 2. That's the only plugin holding me back from going to Catalina.

-Kit


Hey Kit, there aren't any known issues with Strobe2 or Cypher2 and Catalina at this stage, so please feel free to install/update if this is the only FXpansion software you're running. Please do let us know if you encounter any issues, though.

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Wed Jan 22, 2020 9:44 am

LesSand wrote:Thank you for the update, Lawrence. That’s encouraging news. Incidentally, I still see a banner warning about Catalina incompatibility in Geist2 pages, you will want to fix that.

Please continue to update us on the progress, even more often, if possible. BFD, being the longest in the market and your most expensive product, I expect it to be priority #1.

Cheers!


Thanks, we're amending that now. We'll release a full announcement once all FXpansion products are fully compatible with Catalina - the BFD family is the last set of products for us to update, and we're edging nearer each day to this being complete.

mickgormaley wrote:It's been 8 months since any BFD update and 4 since the announcement that they are working on getting a Catalina ready version. Roli has killed this app. I have hundreds of dollars and hundreds of hours invested in this program which I can only assume that in the near future will be dumped by Roli. Roli needs to give back control to Fxpansion so they can get back to making and maintaining BFD. This was everyone's fear when Roli grabbed FX to get Cypher and Strobe. That's all they wanted. They screwed BFD and their base.


We're sorry you feel this way - if there are any particular issues you've encountered since the last update to BFD3, please do let our support team know. We'll be issuing a BFD3 software update shortly, alongside the expansion and core library updates, that introduces some extra bug fixes as well as support for Catalina.

pippoxpansion
Posts: 2
Joined: Fri Jul 04, 2014 4:54 am

Re: macOS 10.15 Catalina compatibility

Postby pippoxpansion » Sun Jan 26, 2020 9:57 am

sooo. this may sound like. stupid question, but I undesrstand GEIST 2, STROBE 2, CYPHER 2 got some work done and are OK with Catalina now.. but is there a plan to get also working BLOOM, ETCH, MAUL, TREMOR and DCAM SYNTH SQUAD?

Dave Magoo
Posts: 1
Joined: Fri Jun 26, 2015 4:36 am

Re: macOS 10.15 Catalina compatibility

Postby Dave Magoo » Sun Jan 26, 2020 8:18 pm

The following FXpansion instruments are now considered legacy products and as such will receive no further updates or support to ensure continued compatibility with modern operating systems and DAW hosts:
Bloom
DCAM Dynamics
DCAM SynthSquad
SynthSquad Packs
DR008
Etch
Guru
Geist
BFD Eco
BFD1
BFD2
Maul
Tremor
VST AU Adapter
VST RTAS Adapter

:cry:


Return to “General Discussion”

Who is online

Users browsing this forum: Google [Bot], JamesPairl, KevinCen, Matthewwam and 119 guests